summaryrefslogtreecommitdiff
path: root/pcr/guile-ssh
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-01-21 16:28:01 +0100
committerAndreas Grapentin <andreas@grapentin.org>2018-01-21 20:59:43 +0100
commit819e924800722d4866955bda48654f0e2a6e0204 (patch)
treea0986c8a9cb45b590958f6ce1a201fd70efb6655 /pcr/guile-ssh
parent60db375b8e03afa3b6c36eacca1b77797f585b35 (diff)
pcr/guile-ssh: added
Diffstat (limited to 'pcr/guile-ssh')
-rw-r--r--pcr/guile-ssh/PKGBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/pcr/guile-ssh/PKGBUILD b/pcr/guile-ssh/PKGBUILD
new file mode 100644
index 000000000..b837a76c8
--- /dev/null
+++ b/pcr/guile-ssh/PKGBUILD
@@ -0,0 +1,34 @@
+# Maintainer (AUR): lantw44 (at) gmail (dot) com
+
+# parabola changes and rationale:
+# no changes.
+
+pkgname=guile-ssh
+pkgver=0.11.2
+pkgrel=2
+pkgdesc='SSH module for Guile based on libssh'
+arch=('x86_64' 'i686' 'armv7h')
+url="https://github.com/artyom-poptsov/guile-ssh"
+license=('GPL3')
+depends=(
+ 'guile>=2.0.9'
+ 'libssh>=0.7.3')
+source=("https://github.com/artyom-poptsov/guile-ssh/archive/v${pkgver}.tar.gz")
+sha256sums=('20e9109fe5dd21c9294a94cba12b65cc7650f359e52e7a16f3bdc89e802e13f0')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ autoreconf -fi
+ ./configure --prefix=/usr --disable-rpath
+ make
+}
+
+check() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make check || true # tests unexpectedly fail
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR="${pkgdir}" install
+}